cgGetProfileString(3)

NAME
cgGetProfileString - get the profile name associated with a profile enumerant

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetProfileString( CGprofile profile );

PARAMETERS

profile
    The profile enumerant.

RETURN VALUES
Returns the profile string of the enumerant profile.

Returns NULL if profile is not a valid profile.

DESCRIPTION
cgGetProfileString returns the profile named associated with a profile enumerant.

EXAMPLES
  static void dumpCgProgramInfo(CGprogram program)
  {
    const char* p = cgGetProfileString(cgGetProgramProfile(program));
    if ( p ) {
      printf(" Profile: %s\n", cgGetProfileString(cgGetProgramProfile(program)));
    }
    /* ... */
  }

ERRORS
None.

HISTORY
cgGetProfileString was introduced in Cg 1.1.

SEE ALSO
the cgGetProfile manpage, the cgGetProgramProfile manpage